summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-07-18 13:31:15 +0200
committerManuel Rüger <mrueg@gentoo.org>2018-07-18 13:31:15 +0200
commitdc450a95c3fd77360c52108da5d17cf8558a163b (patch)
tree34f417a71c985a00abd14be7a77fa3244c88577b /sys-cluster
parentsys-cluster/kube-controller-manager: Remove old (diff)
downloadgentoo-dc450a95c3fd77360c52108da5d17cf8558a163b.tar.gz
gentoo-dc450a95c3fd77360c52108da5d17cf8558a163b.tar.bz2
gentoo-dc450a95c3fd77360c52108da5d17cf8558a163b.zip
sys-cluster/kube-scheduler: Version bump to 1.11.1
Package-Manager: Portage-2.3.43, Repoman-2.3.10
Diffstat (limited to 'sys-cluster')
-rw-r--r--sys-cluster/kube-scheduler/Manifest1
-rw-r--r--sys-cluster/kube-scheduler/kube-scheduler-1.11.1.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/sys-cluster/kube-scheduler/Manifest b/sys-cluster/kube-scheduler/Manifest
index 822bbb0d40c5..fe1e823c91e7 100644
--- a/sys-cluster/kube-scheduler/Manifest
+++ b/sys-cluster/kube-scheduler/Manifest
@@ -1,5 +1,6 @@
DIST kubernetes-1.10.4.tar.gz 24773451 BLAKE2B 8ee589b12a9e594dc5858473f543ef704ba772d48d565bfe3095cf9fb0588cd1ab602f092cc0fdba533cdf6c50c12f18431416640ad55867590940f34ebf5987 SHA512 cf1ea11fd721a800a6fdb51ed795f7a225577f1d93661ad98929c00a57ba55f31ac3b3d34e6276da997665734375455668b396289badaaed9825a48f33bdace3
DIST kubernetes-1.10.5.tar.gz 25046108 BLAKE2B 4e3d85e872e13a11d7f1fe030d9c6ba62c56b37788c31d6460c7d149c47a59a18a9cbfc791092183977089f4d612b690138faee46383c1b3b7e65adfdd3a0276 SHA512 55ac294297385cf6a69a48193c691744b886a5fa5d22b7a3a601d39aacd4cd898edccfcdc186bb1845e257f0f177d330af15d29d1419caab03f863bfa095eddf
DIST kubernetes-1.11.0.tar.gz 24433264 BLAKE2B 7a848fcd8c25c45fb34a78f0e253724bbfe24190ed6b3d49447a431e45bacbc726c7f6992db1d1eb976e6b183b811b5b3d5ef7b6d58d68a824b9d5c18b9d99e5 SHA512 8152b47e1972f26a239166cea7ccb6449e212b8f51144e85576cfcfea85699a902be39aaa600f9400cd7673c2a169f5f18c9898b297b46df3e6268e4044d025a
+DIST kubernetes-1.11.1.tar.gz 24774820 BLAKE2B 2b4ffda2258fbdf7f05eeea57f7fad8ca2eb574895d016475ceae35d8506d9c09d5874e689c0f25c806d0b0b957fca166a8930a8fc5aca98cbe3174dfd217653 SHA512 4afb54ae389aa414c7e64a7ab60d586c8f3c75afe4da00bcf2221b4b273e164a09548e61c24a0cdaf9d0e52394c3421e6c70f4fbfc80ed62c40ba7816b03afcf
DIST kubernetes-1.9.8.tar.gz 23559610 BLAKE2B ef384dd9a06cb00c5a095b05a4b304b08a97c3eac9c40b1b06664bfffb5e5b7c71505d50c4f7c3b594975df1013030788c8cee40acbce5c9ccd34ee5b44dc4fe SHA512 45e65d7a1f0950f2fb8fc923bdcaf1d607960be096a98fbfe187ef117da02ce7bf430cdc4c6d7e707557ef54f3239025e442be08729e86dabba624f3aa7503d1
DIST kubernetes-1.9.9.tar.gz 23588721 BLAKE2B 0fdf1d934692df14d519b23ca3c5ff4fb887eefd7cc56a7ca51dde384e713f65fd48049a9b3376a7c36e0e32da05c472a704521ce8a66a0987e9e49c26f84b58 SHA512 0203fce2646c0221be95b22315f7f62340043542d7213f3020f1012ab016ee47b958d69399b4eaa36bdc219c1c3d3916a7fcff6fbd1975e2a91087bc866b3135
diff --git a/sys-cluster/kube-scheduler/kube-scheduler-1.11.1.ebuild b/sys-cluster/kube-scheduler/kube-scheduler-1.11.1.ebuild
new file mode 100644
index 000000000000..576989d30fd3
--- /dev/null
+++ b/sys-cluster/kube-scheduler/kube-scheduler-1.11.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="k8s.io/kubernetes"
+ARCHIVE_URI="https://github.com/kubernetes/kubernetes/archive/v${PV}.tar.gz -> kubernetes-${PV}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Kubernetes Scheduler"
+HOMEPAGE="https://github.com/kubernetes/kubernetes https://kubernetes.io"
+SRC_URI="${ARCHIVE_URI}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+DEPEND="dev-go/go-bindata"
+
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+src_prepare() {
+ default
+ sed -i -e "/vendor\/github.com\/jteeuwen\/go-bindata\/go-bindata/d" src/${EGO_PN}/hack/lib/golang.sh || die
+ sed -i -e "/export PATH/d" src/${EGO_PN}/hack/generate-bindata.sh || die
+}
+
+src_compile() {
+ LDFLAGS="" GOPATH="${WORKDIR}/${P}" emake -j1 -C src/${EGO_PN} WHAT=cmd/${PN} GOFLAGS=-v
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dobin _output/bin/${PN}
+ popd || die
+ keepdir /var/log/${PN}
+ fowners ${PN}:${PN} /var/log/${PN}
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/${PN}.logrotated ${PN}
+}